Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTRedBlack< T > Class Template Reference

`#include <deRedBlack.hpp>`

Collaboration diagram for deTRedBlack< T >:

[legend]
List of all members.

## Public Member Functions
| deTRedBlack ()
| ~deTRedBlack ()
void | EmptyTree ()
void * | FindValue (const T &Val, T *&obj) const
void * | FindValue (const T &Val, T &obj) const
void * | GetRoot (T *&obj) const
void * | GetLeftMost (T &obj)
void * | GetLeftMost (T *&obj)
void * | GetLeftMostLeaf (T *&obj)
void * | GetNextRight (void *current, T &obj)
void * | GetNextRight (void *current, T *&obj)
void * | AddElement (const T &data)
deBoolean | RemoveElement (void *ptr)
T * | GetData (void *ptr)
void | GetDataPList (deTList< T * > &list)
long | Length () const
## Static Public Member Functions
void | StaticRemoveElement (void *ptr)
## Private Member Functions
void | RestoreRedBlack (TRBNode *Node)
void | RotateLeft (TRBNode *Node)
void | RotateRight (TRBNode *Node)
void | rightRotate (TRBNode *node)
void | leftRotate (TRBNode *node)
void | leftSide_LeftRotate (TRBNode *node)
void | leftSide_RightRotate (TRBNode *node)
void | rightSide_RightRotate (TRBNode *node)
void | rightSide_LeftRotate (TRBNode *node)
## Private Attributes
TRBNode * | m_Root
long | m_Length

### template<class T>
class deTRedBlack< T >

## Constructor & Destructor Documentation

template<class T>
deTRedBlack< T >::deTRedBlack | ( |  | ) | `[inline]`

template<class T>
deTRedBlack< T >::~deTRedBlack | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
void* deTRedBlack< T >::AddElement | ( | const T & | data | ) | `[inline]`

template<class T>
void deTRedBlack< T >::EmptyTree | ( |  | ) | `[inline]`

template<class T>
void* deTRedBlack< T >::FindValue | ( | const T & | Val,
|  | T & | obj
| ) | const`[inline]`

template<class T>
void* deTRedBlack< T >::FindValue | ( | const T & | Val,
|  | T *& | obj
| ) | const`[inline]`

template<class T>
T* deTRedBlack< T >::GetData | ( | void * | ptr | ) | `[inline]`

template<class T>
void deTRedBlack< T >::GetDataPList | ( | deTList< T * > & | list | ) | `[inline]`

template<class T>
void* deTRedBlack< T >::GetLeftMost | ( | T *& | obj | ) | `[inline]`

template<class T>
void* deTRedBlack< T >::GetLeftMost | ( | T & | obj | ) | `[inline]`

template<class T>
void* deTRedBlack< T >::GetLeftMostLeaf | ( | T *& | obj | ) | `[inline]`

template<class T>
void* deTRedBlack< T >::GetNextRight | ( | void * | current,
|  | T *& | obj
| ) | `[inline]`

template<class T>
void* deTRedBlack< T >::GetNextRight | ( | void * | current,
|  | T & | obj
| ) | `[inline]`

template<class T>
void* deTRedBlack< T >::GetRoot | ( | T *& | obj | ) | const`[inline]`

template<class T>
void deTRedBlack< T >::leftRotate | ( | TRBNode * | node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::leftSide_LeftRotate | ( | TRBNode * | node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::leftSide_RightRotate | ( | TRBNode * | node | ) | `[inline, private]`

template<class T>
long deTRedBlack< T >::Length | ( |  | ) | const`[inline]`

template<class T>
deBoolean deTRedBlack< T >::RemoveElement | ( | void * | ptr | ) | `[inline]`

template<class T>
void deTRedBlack< T >::RestoreRedBlack | ( | TRBNode * | Node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::rightRotate | ( | TRBNode * | node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::rightSide_LeftRotate | ( | TRBNode * | node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::rightSide_RightRotate | ( | TRBNode * | node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::RotateLeft | ( | TRBNode * | Node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::RotateRight | ( | TRBNode * | Node | ) | `[inline, private]`

template<class T>
void deTRedBlack< T >::StaticRemoveElement | ( | void * | ptr | ) | `[inline, static]`

## Member Data Documentation

template<class T>
long deTRedBlack< T >::m_Length`[private]`

template<class T>
TRBNode* deTRedBlack< T >::m_Root`[private]`

The documentation for this class was generated from the following file:

- deRedBlack.hpp